package body MSHTML.IHTMLCurrentStyle_Object is

   function Get_position
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_position);
   end Get_position;

   function Get_styleFloat
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_styleFloat);
   end Get_styleFloat;

   function Get_color
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_color);
   end Get_color;

   function Get_backgroundColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_backgroundColor);
   end Get_backgroundColor;

   function Get_fontFamily
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_fontFamily);
   end Get_fontFamily;

   function Get_fontStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_fontStyle);
   end Get_fontStyle;

   function Get_fontVariant
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_fontVariant);
   end Get_fontVariant;

   function Get_fontWeight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_fontWeight);
   end Get_fontWeight;

   function Get_fontSize
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_fontSize);
   end Get_fontSize;

   function Get_backgroundImage
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_backgroundImage);
   end Get_backgroundImage;

   function Get_backgroundPositionX
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_backgroundPositionX);
   end Get_backgroundPositionX;

   function Get_backgroundPositionY
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_backgroundPositionY);
   end Get_backgroundPositionY;

   function Get_backgroundRepeat
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_backgroundRepeat);
   end Get_backgroundRepeat;

   function Get_borderLeftColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderLeftColor);
   end Get_borderLeftColor;

   function Get_borderTopColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderTopColor);
   end Get_borderTopColor;

   function Get_borderRightColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderRightColor);
   end Get_borderRightColor;

   function Get_borderBottomColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderBottomColor);
   end Get_borderBottomColor;

   function Get_borderTopStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderTopStyle);
   end Get_borderTopStyle;

   function Get_borderRightStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderRightStyle);
   end Get_borderRightStyle;

   function Get_borderBottomStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderBottomStyle);
   end Get_borderBottomStyle;

   function Get_borderLeftStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderLeftStyle);
   end Get_borderLeftStyle;

   function Get_borderTopWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderTopWidth);
   end Get_borderTopWidth;

   function Get_borderRightWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderRightWidth);
   end Get_borderRightWidth;

   function Get_borderBottomWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderBottomWidth);
   end Get_borderBottomWidth;

   function Get_borderLeftWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderLeftWidth);
   end Get_borderLeftWidth;

   function Get_left
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_left);
   end Get_left;

   function Get_top
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_top);
   end Get_top;

   function Get_width
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_width);
   end Get_width;

   function Get_height
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_height);
   end Get_height;

   function Get_paddingLeft
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_paddingLeft);
   end Get_paddingLeft;

   function Get_paddingTop
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_paddingTop);
   end Get_paddingTop;

   function Get_paddingRight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_paddingRight);
   end Get_paddingRight;

   function Get_paddingBottom
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_paddingBottom);
   end Get_paddingBottom;

   function Get_textAlign
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_textAlign);
   end Get_textAlign;

   function Get_textDecoration
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_textDecoration);
   end Get_textDecoration;

   function Get_display
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_display);
   end Get_display;

   function Get_visibility
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_visibility);
   end Get_visibility;

   function Get_zIndex
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_zIndex);
   end Get_zIndex;

   function Get_letterSpacing
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_letterSpacing);
   end Get_letterSpacing;

   function Get_lineHeight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_lineHeight);
   end Get_lineHeight;

   function Get_textIndent
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_textIndent);
   end Get_textIndent;

   function Get_verticalAlign
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_verticalAlign);
   end Get_verticalAlign;

   function Get_backgroundAttachment
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_backgroundAttachment);
   end Get_backgroundAttachment;

   function Get_marginTop
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_marginTop);
   end Get_marginTop;

   function Get_marginRight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_marginRight);
   end Get_marginRight;

   function Get_marginBottom
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_marginBottom);
   end Get_marginBottom;

   function Get_marginLeft
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_marginLeft);
   end Get_marginLeft;

   function Get_clear
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_clear);
   end Get_clear;

   function Get_listStyleType
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_listStyleType);
   end Get_listStyleType;

   function Get_listStylePosition
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_listStylePosition);
   end Get_listStylePosition;

   function Get_listStyleImage
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_listStyleImage);
   end Get_listStyleImage;

   function Get_clipTop
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_clipTop);
   end Get_clipTop;

   function Get_clipRight
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_clipRight);
   end Get_clipRight;

   function Get_clipBottom
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_clipBottom);
   end Get_clipBottom;

   function Get_clipLeft
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_clipLeft);
   end Get_clipLeft;

   function Get_overflow
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_overflow);
   end Get_overflow;

   function Get_pageBreakBefore
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_pageBreakBefore);
   end Get_pageBreakBefore;

   function Get_pageBreakAfter
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_pageBreakAfter);
   end Get_pageBreakAfter;

   function Get_cursor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_cursor);
   end Get_cursor;

   function Get_tableLayout
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_tableLayout);
   end Get_tableLayout;

   function Get_borderCollapse
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderCollapse);
   end Get_borderCollapse;

   function Get_direction
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_direction);
   end Get_direction;

   function Get_behavior
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_behavior);
   end Get_behavior;

   function getAttribute
     (This             : IHTMLCurrentStyle_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLCurrentStyle_getAttribute,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lFlags,
          2 => strAttributeName),
         Free);
   end getAttribute;

   function Get_unicodeBidi
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_unicodeBidi);
   end Get_unicodeBidi;

   function Get_right
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_right);
   end Get_right;

   function Get_bottom
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_bottom);
   end Get_bottom;

   function Get_imeMode
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_imeMode);
   end Get_imeMode;

   function Get_rubyAlign
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_rubyAlign);
   end Get_rubyAlign;

   function Get_rubyPosition
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_rubyPosition);
   end Get_rubyPosition;

   function Get_rubyOverhang
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_rubyOverhang);
   end Get_rubyOverhang;

   function Get_textAutospace
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_textAutospace);
   end Get_textAutospace;

   function Get_lineBreak
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_lineBreak);
   end Get_lineBreak;

   function Get_wordBreak
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_wordBreak);
   end Get_wordBreak;

   function Get_textJustify
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_textJustify);
   end Get_textJustify;

   function Get_textJustifyTrim
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_textJustifyTrim);
   end Get_textJustifyTrim;

   function Get_textKashida
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_textKashida);
   end Get_textKashida;

   function Get_blockDirection
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_blockDirection);
   end Get_blockDirection;

   function Get_layoutGridChar
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_layoutGridChar);
   end Get_layoutGridChar;

   function Get_layoutGridLine
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_layoutGridLine);
   end Get_layoutGridLine;

   function Get_layoutGridMode
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_layoutGridMode);
   end Get_layoutGridMode;

   function Get_layoutGridType
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_layoutGridType);
   end Get_layoutGridType;

   function Get_borderStyle
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderStyle);
   end Get_borderStyle;

   function Get_borderColor
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderColor);
   end Get_borderColor;

   function Get_borderWidth
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_borderWidth);
   end Get_borderWidth;

   function Get_padding
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_padding);
   end Get_padding;

   function Get_margin
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_margin);
   end Get_margin;

   function Get_accelerator
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_accelerator);
   end Get_accelerator;

   function Get_overflowX
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_overflowX);
   end Get_overflowX;

   function Get_overflowY
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_overflowY);
   end Get_overflowY;

   function Get_textTransform
     (This : IHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLCurrentStyle_Get_textTransform);
   end Get_textTransform;

end MSHTML.IHTMLCurrentStyle_Object;

